chef-client(8) -- Runs a client node connecting to a chef-server.
========================================

## SYNOPSIS

__chef-client__ _(options)_

  * `-S`, `--server CHEFSERVERURL`:
    The chef server URL
  * `-c`, `--config CONFIG`:
    The configuration file to use
  * `-d`, `--daemonize`:
    Daemonize the process
  * `-g`, `--group GROUP`:
    Group to set privilege to
  * `-i`, `--interval SECONDS`:
    Run chef-client periodically, in seconds
  * `-j`, `--json-attributes JSON_ATTRIBS`:
    Load attributes from a JSON file or URL
  * `-l`, `--log_level LEVEL`:
    Set the log level (debug, info, warn, error, fatal)
  * `-L`, `--logfile LOGLOCATION`:
    Set the log file location, defaults to STDOUT - recommended for
    daemonizing
  * `-V`, `--verbose`:
    Ensures logging goes to STDOUT as well as  to  other  configured
    log location(s).
  * `-N`, `--node-name NODE_NAME`:
    The node name for this client
  * `-s`, `--splay SECONDS`:
    The splay time for running at intervals, in seconds
  * `-u`, `--user USER`:
    User to set privilege to
  * `-v`, `--version`:
    Show chef version
  * `-h`, `--help`:
    Show this message

## DESCRIPTION

The Chef Client is where almost all of the work in Chef is done. It
communicates with the Chef Server via REST, authenticates via Signed
Header Authentication, and compiles and executes Cookbooks.

A Chef Client does work on behalf of a Node. A single Chef Client can
run recipes for multiple Nodes.

Clients are where all the action happens - the Chef Server and Chef Expander
are largely services that exist only to provide the Client with information.

## SEE ALSO

Full  documentation  for  Chef  and  chef-client is located on the Chef
wiki, http://wiki.opscode.com/display/chef/Home.

## AUTHOR

Chef was written by Adam Jacob <adam@ospcode.com> of Opscode
(http://www.opscode.com),  with contributions from the community.  This
manual page was written by Joshua Timberman  <joshua@opscode.com>  with
help2man.  Permission  is  granted  to copy, distribute and / or modify
this document under the terms of the Apache 2.0 License.

On Debian systems, the complete text of the Apache 2.0 License  can  be
found in /usr/share/common-licenses/Apache-2.0.
